
CHANGELOG for X-CD-Roast 0.98alpha16
------------------------------------

20.08.08:
	* merged in all patches I received and published on my webpage	
	  in the last few years. 
 	  (compile warnings fixes, locale fixes, wav detection fixes,
	   removed pcre dependency from configure, crash fixes and version
	   detection fixes - lot of thanks to all contributors!)
	* merged in several of the patches RedHat created for RPM version.
	* improved current cdrtools support.
	* removed extra handling for ProDVD, as this is all now integrated
	  into the current cdrecord without any need for a key.
	* updated several translations.

26.10.03:
	* don't allow X-CD-Roast to overwrite symlinks. This may fix
	  some possible security problems. Thanks to  Stefan Nordhausen 
	  <nordhaus@informatik.hu-berlin.de> for pointing this out.
	* detect an invalid ProDVD-key when blanking CDs/DVDs.

25.10.03:
	* fix bug where X-CD-Roast was overwriting files smaller than 	
	  1 kb, without giving a warning. 
	* add FILETREEBASE define to xcdroast.h to have all filetrees 
	  start at this value instead of root "/". If set to the 
	  string "$HOME" then the home-directory of the current user is
	  used instead. 
	* pass the ProDVD-key from root to all users, unless they have
	  defined their own.
	* no longer preselect texts in entry fields, which messed with
	  the cut&paste buffers.  
	* write files with the extension .iso instead of .img. 
	* fix bug where the TOC-file when duplicating CDs is not
	  written to a writeable path.
	* check the version of cdrecord.ProDVD. Must be 2.01a11 or newer.
	* fix possible segfault when copy an audio CD on-the-fly with
	  a lot of tracks.

19.10.03:
	* lots of work on the GTK2 port. Added a configure-option
	  --enable-gtk2 to optionally compile X-CD-Roast against GTK2.

18.10.03:
	* integrated a patch from Joseph Wang <joe@confucius.gnacademy.org>
	  which fixes a possible segfault while scanning for devices.
	* integrated a patch from Andrea Suatoni <a.suatoni@telefonica.net>
	  which fixes a compile problem on IRIX systems.
	* integrated a patch from Frank Giessler <giessler@biomag.uni-jena.de>
	  which fixes the usage of the cdrecord-ProDVD key on Solaris
	  systems.
	* integrated a patch from Philipp Thomas <pthomas@suse.de> which
	  makes xcdroast compile nicer on 64-bit platforms. 
	* add new languages Romanian, Latvian and Albanian. 
	* updated existing languages Dutch, Italian, French, Swedish,
	  Estonian, Brasilian Portuguese, Japanese, Catalan, Czech,
	  Hungarian, Polish, Russian, Finnish and Greek.
	* integrated experimental GTK2 patches by Fritz Ganter 
	  <ganter@ganter.at>.

25.07.03:
	* published cdrtools201a17.patch which adopts the version
	  checker to work with cdrtools-2.01a17 or newer.

18.07.03:
	* published debian_scan.patch which fixes a startup segmentation
	  fault when scanning for ATAPI devices on debian systems.

31.05.03:
	* published dvd_atip.patch which fixes the display of ATIP
	  information on DVD-media.

01.05.03:
	* published error_write_tracks.patch which fixes the
	  incorrect message "Error writing tracks" shown with
	  some writers.

29.05.03:
	* RELEASED X-CD-Roast 0.98alpha14

28.05.03:
	* fix unterminated string when printing symbolic links in
	  debug output.
	* replace the X-CD-Roast logo by a slightly cleaner version.
	* include the very nice HTML-manual done by Thorsten Staerk.
	  http://www.staerk.de/thorsten

27.05.03:
	* fix problem when write process did not report the internal
	  buffer percentage value. (Odd display while writing)
	* add a tooltip for the drag-to-exclude field in the master menu.
	* make a return press work like OK in the add-manual-device menu.
	* remove any trailing colon from REMOTE-scsi specification.
	* print some extra warnings when using X-CD-Roast with a disabled
	  non-root-mode. (On first start only)

26.05.03:
	* fix possible drag&drop crash.
	* some last german translation changes.
	* some detail improvements of the "Please wait while
	  calculating image size" window.

25.05.03:
	* always use cdrecord-ProDVD to blank media when it is installed.
	* display "CD/DVD" instead of "CD" in most menus when ProDVD is
	  available.
	* display DVD or CD as media type based on the image size.
	* when scanning for devices print duplicates in round brackets.

24.05.03:
	* show "Calculating..." in session-size display of the master
	  menu when gathering session size. 
	* display a "Please wait" window when session size calculation
	  takes longer then five seconds.
	* recoded the reading of the TOC of a CD/DVD not to freeze 
 	  X-CD-Roast.
	* when reading of the TOC takes longer than five seconds
	  (e.g. ATAPI setup) display a window explaining what is 
	  happening and what to do to speed it up.
	  (insert medium and/or install scsi-emulation)

23.05.03:	
	* fix junk display when reading data tracks on a very loaded
	  machine.
	* switched to a new set of device icons. Thanks to Everaldo Coelho
	  and Torsten Rahn from the KDE team.
	* also thanks to Martin Uhl for creating a DVD-Writer icon and
	  sending a lot of suggestions of simple usage improvements.
	* set mouse cursor graphics correctly.
	* on Mac OS X use the -a switch to disable the autodiskmount
	  daemon handling.

22.05.03:
	* changed drag&drop not to need shift drag to exclude and added
	  a "drop here to exclude" area to the master dialog.
	* change some spacings to group buttons better.

21.05.03:
	* updated norwegian translation, thanks to Stig Hornang 
	  <stig@rozinante.net>

20.05.03:
	* on Mac OS X prefocus the password entry dialog and allow
	  a return press instead of a click on OK.
	* fix possible core dump when starting without devices.
	* add note about how to disable resolution check to man page.

19.05.03:
	* fix last leftovers from old non-root-mode.
	* rearrange xpms directory to suit new autoconf config.

18.05.03:
	* added greek translation, thanks to Filippos Papadopoulos 
	  <csst9923@cs.uoi.gr>
	* added ukrainian translation, thanks to Maxim Dzumanenko 
	  <mvd@mylinux.com.ua>
	* use the autoconf supplied "make install" instead of my own.
	  Thanks to Peter Breitenlohner for the patch.
	* start to create new german translation.

17.05.03:
	* display one-time-warning when X-CD-Roast was compiled without 
	  non-root-support to remind the user to use an official version
	  from my page for full functionality. 
	* hint the user to select a DVD media size when trying to write
	  a DVD image while having a 80min-CD-R choosen.
	* warn user about not choosing an ATAPI device to write CDs.
 	  (Suggests to install scsi-emulation.)
	* warn user when user selects his DVD-Writer in setup, but has
 	  not yet ProDVD support installed.
	* disable write-mode selector when doing multisession. 
	  Multisession only works in TAO mode.

16.05.03:
	* allow on-the-fly copy of CD-Extra by skipping the last
	  data track. 
	* fix display of wrong DVD size on some devices.
	* display "Insert DVD-R/RW" instead of "Insert CD-R/RW" when
	  appropriate.
	* xcdrwrap knows about the cdrtools-local-root-exploit and will
	  not allow that.

15.05.03:
	* Warn when writespeed is higher than the readspeed in 
	  on-the-fly copy.
	* finish CD-Text support for audio-on-the-fly.

14.05.03:
	* further work on CD-Text support for on-the-fly copy.

13.05.03:
	* first working audio-on-the-fly copy. (No CD-Text yet)
	* fixed display problems of write dialog when using a new
	  cdrecord version.

11.05.03:
	* fix bug when after writing a multisession image file the 
	  image information was not updated correctly.
	* warn user when he tries to use a faulty drive that insists
	  to read data CDs with 2352 byte sectors.
	* don't let processbar reach 100% when writing failed.
	* start to implement the brand new audio-on-the-fly support of 
	  the very newest cdrecord versions.

10.05.03:
	* complete -boot-load-size and -boot-info-table and don't check
	  boot-image filesize when it is not a floppy image.

09.05.03:
	* allow creation of CD-Extra. (Enable writing of audio tracks in
	  multisession mode)
	* start to implement the -boot-load-size and -boot-info-table
	  mkisofs options.

07.05.03:
	* display if a DVD-R/RW or a CD-R/RW is in the drive.

04.05.03: 
	* drawn new icons for added and excluded files in the master-menu.
	* add option "-iso-level" to the advanced ISO9660-options.

03.05.03:
	* add option to keep last directory level when adding multiple
	  paths in the master menu.
	* always display filenames in master-path-list when we have added
	  single files. 
	* look into  the fixed font problem (chinese instead of german 
	  characters)
	* add a second "write as multisession" button to the create-
	  session-menu to avoid confusion.
	* add support for 30 and 50 minute CDs.
	* fix on-the-fly writing for some non-linux platforms. 
	  (added -waiti cdrecord option)
	* display a warning at startup when no ProDVD key is set.

02.05.03:
	* let the user choose to skip invalid ISRC or MCN numbers when
	  writing audio tracks. 

30.04.03:
	* detect invalid ISRC or MCN numbers before writing audio tracks.

29.04.03:
	* add -scanbus for REMOTE-SCSI devices.

27.04.03:
	* show warning when user is about to change the cdrecord driver
	  setting in setup.
	* strip CDR_SECURITY= part from an incorrectly entered ProDVD key.
	* forbid to set the "do not fixate" option in multisession mode.
	* fix detection of multisession CDs on new drives.

25.04.03:
	* added new experimental Mac OS X autodiskmount daemon handling.

23.04.03:
	* code cleanup to declare all local functions static.
	* add option to display progress status in the window titlebar.
	  (useful when you iconify X-CD-Roast while burning)

22.04.03:
	* code cleanup of unnecessary global variables.
	  (added a lot of static declarations)
	* add saving and loading window position and size in setup.
	  (works with main and burning/reading window)

21.04.03:
	* only scan for devices at first startup of X-CD-Roast.
	* remove the "-i" command line option. It is no longer 
	  required.
	* add a write-mode selector within the master-on-the-fly-menu.

18.04.03:
	* install a test linux kernel 2.5.67 to verify the new 
	  ATAPI support. Works MUCH better than for the 2.4.x kernels.
	* prepare a setup to test REMOTE-SCSI.
	* integrated full REMOTE-SCSI support.

16.04.03:
	* add option "remove device" in device scan menu.
	  (right click shows a context menu)

15.04.03:
	* allow to add a single manual device.

14.04.03:
	* add "manually add device" button in setup.

13.04.03:
	* implement "rescan devices" button in setup.

12.04.03:
	* update write mode and burnproof status when switching writers
	  in the write-menus.
	* include driver-options into new device structure.

11.04.03:
	* pick not DAO as default mode, but the first one supported by
	  the selected device.
	* add workaround to detect non-mmc writers correctly.
	* make the cancel-button in setup work as expected again.

10.04.03:
	* include DVD-writer icon
	* last modifications to make all parts of X-CD-Roast work with 
	  the new device structure.
	* display supported write modes for each device in the write-menus.
	  (grey out unsupported modes in selector)

09.04.03:
	* display new device data in selectors on top of each menu.

08.04.03:
	* display new device data in CD-Writer/Reader setup menu.

07.04.03:
	* add loading and saving of the new device structure

06.04.03:
	* implemented parts of new device scanning code.

05.04.03:
	* start of a major rewrite of all internal device structures.

26.03.03:
	* updated polish translation, thanks to Robert Gomulka
	  <carramba@pf.pl>

16.03.03:
	* use geteuid() instead of getuid() when checking for root.

11.03.03:
	* more tweaks to get drag&drop working with both nautilus (Gnome)
	  and konqueror (KDE).

10.03.03:
	* change the internal used drag&drop method on exchanging data.

09.03.03:
	* remember scroll-positions of all scrollable lists when adding or
	  removing tracks/files/directories. 

08.03.03:
	* fix possible crash cause when quotes were in the cd-text data.
	* remove old non-root-mode code and enable the new and improved
	  mode. (No longer changed group or file modes required on any
	  of the cdrtools.)

23.02.03:
	* rewrite large parts of the xcdrwrap-programm. It's now free
 	  of external library references and offer maximum security for
	  the new non-root-mode.

22.02.03:
	* allow to redirect multiple paths at once.
	* allow to drag files from the master-directories-list back to
	  the fileselector to remove them from the list. 

19.02.03:
	* enable shift-drag to exclude master directories in the master-menu.
          (disabled that again, because it did not work in KDE correctly)

18.02.03:
	* allow to reorder tracks by drag&drop in write tracks menu.

17.02.03:
	* its now possible to add and remove tracks with drag&drop from
	  within the write-tracks menu.

16.02.03:
	* merged irix patches from Andrea Suatoni <a.suatoni@telefonica.net>
	  (mostly sound support)
	* switch "layout tracks" and "write tracks" tabs in write-tracks
	  menu.
	* first support of drag&drop in the write-tracks menu

15.02.03:
	* allow drag selected files or directories from the file tree
	  selector within X-CD-Roast.

12.02.03:
	* make master-windows sensitive for drag&drop. Its now possible to
	  use any filemanager to add files to burn.

10.02.03:
	* working drag&drop in setup menu (drop directory names from a
	  filemanager into the image-directory list.)

09.02.03:
	* optimized screen space to make more room for larger translations.
	* updated russian translation, thanks to Vitaly Lipatov
	  <lav@altlinux.ru>
	* experiment with drag&drop code in setup menu.

04.02.03:
	* fix missing \n in init.c debug-output.

16.01.03:
	* detect case where some drives return a sector size of 2352 instead
	  of 2048.

14.01.03:
	* updated french translation, thanks to Ferdinand de Broich
	  <firebird(at)chez.com>
	* updated brazilian translation, thanks to Silva Syndson
          <syndson@telelistas.net>

13.01.03:
	* updated czech translation, thanks to Adam Pribyl
	  <covex@io.pinknet.cz>
	* fix bug where the mkisofs output charset was not set correctly.

03.01.03:
	* updated brazilian translation, thanks to Silva Syndson
          <syndson@telelistas.net>

04.01.03:
	* updated hungarian translation, thanks to Kósa Lajos 
	  <kosal@novonet.hu>

01.01.03:
	* RELEASED X-CD-Roast 0.98alpha13

	* don't display warnings about symbolic cdrtools links when
	  nonroot-mode is disabled.
	* warn user who tries to remaster an ISO-file instead of using
	  the write-tracks menu.
	* fix to read all the stderr output of cdrecord

31.12.02:
	* clean up debug output that contained backspaces.
	* rollback new child processing code completely - 
	  fixes the multisession problems.
	* rewrite handler for failed ProDVD-key checks. 

28.12.02:
	* fix byte order of wavplayer on spark-based linux

27.12.02:
	* fix typo in acinclude.m4 that causes a warning inside the
	  configure run.

26.12.02:
	* updated brazilian translation, thanks to Silva Syndson
          <syndson@linuxbr.com.br>
	* updated hungarian translation, thanks to  Lajos Kósa
          <kosal@novonet.hu>

23.11.02:
	* RELEASED X-CD-Roast 0.98alpha12

22.12.02:
	* correct problem where last stderr output of cdrecord was not
	  catched.
	* experimental support for the ATA-interface in linux 2.4.x
	  kernels. Devices no longer require scsi-emulation, but there is
	  no DMA supported then.
	* new command line option "-a" to disable the extra device scans.
	  (e.g. the ATA support on linux)
	* describe multiple instances support of X-CD-Roast in man-page.

21.12.02:
	* display a warning dialog when an invalid ProDVD key is detected
	  (required major changes in subprocess handling)	

17.12.02:
	* fix small typo in io.c (forget \n in debugoutput)
	* redesign of the cdrecord-ProDVD support. X-CD-Roast now looks
	  for a "cdrecord.prodvd" binary instead of expecting that the
	  original cdrecord version gets overwritten. See README.ProDVD.
	* add command-line option "-w" to disable ProDVD support.
	* only use cdrecord-ProDVD when a media size greater than 1 GB is
	  selected (to avoid the lowspeed limitation of the free key on 
	  non-DVD media)

16.12.02:
	* print cdrtools paths at startup for debug purposes.

15.12.02:
	* received updated polish translation. Thanks to Robert Gomuka 
	  <carramba@pf.pl>
	* --disable-nonrootmode is working now. X-CD-Roast will ignore all
	  users, groups and permission settings. Use at own risk. 
	* fix CDR_SECURITY environment problem on linux. The entry field
	  in the setup for the ProDVD key should work now fine.
	* determine the paths for chmod, chown and chgrp automatically now.
	* fix socketpair problem that caused verify to fail in alpha11.

14.12.02:
	* cleanup code to support --disable-nls
	* add new configure option "--disable-nonrootmode"
	* downgrade gettext from 0.11.5 to 0.11.2, because of MacOSX problems.

11.12.02:
	* added support for proxy-authentication. Use the format
	  "user:pass@proxyserver" in the proxy-host entry field.

10.12.02:
	* received updated hungarian translation. Thanks to Lajos Kósa 
	  <kosal@novonet.hu>

03.12.02:
	* received partial updated brasilian translation from Silva Syndson
	  <syndson@linuxbr.com.br>

26.11.02:
	* RELEASED X-CD-Roast 0.98alpha11

24.11.02:
	* complete german translation
	* use --sysconfdir from ./configure as default directory to store
	  the root-config file. 
	* fix problem with long album titles in cddbtool

23.11.02:
	* fix missleading debug output when copying on-the-fly
	* print a warning when user tries to master a data CD containing
	  only .wav files in the hope to get a Audio-CD
	* make verbose level of mkisofs configureable in the advanced
	  iso-options menu
	* don't display 100% progress if fixation still runs
	* print instructions on systems without a "groupadd" command when
	  enabling non-root-mode
	* update dialog message when trying to write additional sessions
	  on empty media
	* add hint about FAQ in device scan screen

22.11.02:
	* allow CDDB-lookups of CD-Text from toc-file in the "Write Tracks"	
	  menu

20.11.02:
	* add option to warn before overwriting image files on disk
	* don't cache non existant CD-Text 
	* extend .toc file format to allow CDDB lookup without CD

19.11.02:
	* add warning when no cdrtools are found at startup

18.11.02:
	* don't a space in "dev= 0,0,0" cdrecord calls anymore
	* change defaults of non-root mode to "allow all"
	* allow to override the minimal-resolution-required error with the
	  -n command line option
	* add 23 and 27 minutes CD-R
	* fix problem when output of cdrecord gets lost in some cases
	* workaround problem when cdda2wav fails to get the correct TOC 
	  form a DVD

17.11.02:
	* dont allow 0 as valid sector-burst value in setup
	* write the root-configfiles to the correct spot, even when	
	  $HOME is not correctly set. (Like when using sys/super scripts)
	* check if /tmp is writeable and not full
	* print master/exclude paths in debug output
	* take care to remove temporary xcdr-files from /tmp at exit
	* treat DVD sizes correctly (4.7GB equal to 4.700.000.000 bytes)

16.11.02:
	* add a lot of new mkisofs options
	* save view-options of file browser with iso-options
	* use fixed-width font in cdrtools-output windows

14.11.02:
	* verify saneness of boot-image settings - creating bootable 
	  CDs should be much easier now

13.11.02:
	* automatically determine relative boot-image path from absolute
	  given one in the bootable CD menue 

12.11.02:
	* allow the backspace or delete key to remove master-paths
	* add save-output button to mkisofs calculate size menu
	* add "show hidden files" option to file browser

11.11.02:
	* add a entry for the ProDVD key in the setup -> you no longer need
	  a wrapper or set the CDR_SECURITY environment variable yourself

10.11.02:
	* make new write options to actually work and add a save button
	  to set them as default

09.11.02:
	* create an advanced write option dialog - support for 
	  Audiomaster, VariRec, Forcespeed and more.

08.11.02:
	* merge in FreeBSD patches from Oliver Lehmann <lehmann@ans-netz.de>
	* merge in OpenBSD source patches from Jolan Luff 
	  <jolan@cryptonomicon.org>
	* merge in ISO9660-header extraction patches from Juho Vähä-Herttua
	  <juhovh@iki.fi>

07.11.02:
	* fix /bin/df-output parser to handle non-english languages

06.11.02:
	* fix some troubles in the cdda2wav output parser
	* display buffer-fill and write speed in writing-window

05.11.02:
	* default index-scanning to off
	* set gracetime on cdrecord to the minimum of 2 seconds
	* extend cdrecord output parser to get buffer-fill and current
	  write speed

04.11.02:
	* finish paranoia mode integration

02.11.02:
	* support new versions of cdda2wav (change of -v option)

01.11.02:
	* merged in CDDB HTTP/Proxy patches from Martin Haunfelder
	  <mhaunfelder@gmx.de>. Big thanks!
	* added support for the CDDB patches in the setup menu
	* center logo graphic in startup screen

31.10.02:
	* support on-the-fly langugage switching in setup with gettext

30.10.02:
	* converted all existing translations to gettext - get rid of
	  dozens of translations bugs

29.10.02:
	* create tools to convert old translation-files to gettext po
	  files

28.10.02:
	* code conversion to utilize gettext completed

24.10.02:
	* started to convert the source to use gettext instead of the
	  old proprietary language system

23.10.02:
	* fix badmatch() errors on non-XFree86 X-Servers (should also fix
	  color problems on non truecolor displays)
	* improved autoconf setup

22.10.02:
	* add russian translation
	* update czech translation

21.10.02:
	* working prototype of autoconf setup

20.10.02:
	* end of summer break
	* start to convert Makefile to autoconf/automake

04.05.02:
	* Use socketpair() instead of pipe() when available. This enhances
	  communication with cdrecord due full-duplex support.
	* experimental support of -paranoia flag of cdda2wav

23.04.02:
	* RELEASED X-CD-Roast 0.98alpha10
	* warn when cdrtools are links instead of real files

22.04.02:
	* fix bug in non-root-configurator
	* make write-speed display in menu-headers a little larger
	* redesign dialogs on startup
	* fix problem on pressing "continue anyway" when out of diskspace
	* no longer check for multisession automatically on entering
	  the master menu

21.04.02:
	* don't crash when loading broken master-paths
	 
20.04.02:
	* wrote man page
	* fix problem about not setting the image paths when in nonroot mode
	* allow to select multiple master-paths/excludes at the same time

19.04.02:
	* check also mmap error when getting toc with cdda2wav
	* add raw writing modes
	* cdrtools version check accepts now silently also newer versions
	  (may cause some trouble in the future...)
	* warn when DVD mode, but no CDR_SECURITY key set

18.04.02:
	* warn when no large file support in DVD mode
	* warn when trying to do multisession in DVD mode
	* check for cdrecord mmap error on startup
	* remove quit-confirmation
	* fix display of clock-cursor in several cases

17.04.02:
	* add possibility to translate the blank mode strings

16.04.02:
	* special multisession handling for sony drives (untested)
	* allow exclusion of wildcard-matches of master files
	* use WEXITSTATUS-makro to get subprocess return codes

15.04.02:
	* updated new italian translation
	* add "auto calculate of session size" button
	* "remove" button removes now both master-path and redirection
	* enter empty string at "redirect" button will remove redirection
	* add "Blank CD-RW" button to master menu

14.04.02:
	* handle multisession in Write-Tracks menu 

13.04.02:
	* complete on-the-fly multisession master
	* allow multisession images created on disk

12.04.02:
	* support reload disk when calling cdrecord -msinfo

11.04.02:
	* call cdrecord -msinfo to get multisession info
	* show available space on CD-R in session view

05.04.02:
	* fix path-handling in session-view to accept a lot of paths
	* fix handling of filenames with backslashes, quotes, equal signs and
	  parentheses.

04.04.02:
	* add "load list" and "save list" to session-view
	* start with homedir of user in the master directory browser

03.04.02:
	* add "clear list" option in session-view

02.04.02:
	* add master option to add a path with last path-component only
	* add a context menu in the master session-view (right click)

01.04.02:
	* added large file support (files bigger than 2 GB should be
	  now detected fine by X-CD-Roast. Mostly untested)
	* rewrite "needed space" calculation for big files

29.03.02:
	* add detection for cdrecord ProDVD
	* add DVD-Media sizes

28.03.02:
	* no longer require to press "Accept Track Layout" button
	  in the Write-Tracks menu
	* complete edit CD-Text for creating CDs.

27.03.02:
	* support "albumperformer" in cdrtools-1.11a19

26.03.02:
	* complete edit CD-Text for duplicating CDs

25.03.02:
	* adapt edit CD-Text to work also in Write-CD menu
	* fix title/artist order from CDDB

24.03.02:
	* edit CD-Text working in Info-CD screen

23.03.02:
	* work on edit CD-Text

22.03.02:
	* draft of edit CD-Text menu

21.03.02:
	* added option to enable/disable burnfree (burnproof) writing
	* added option to allow overburning
	* added option to write CD-Text
	* add buttons to edit CD-Text
	* use "burnfree" option instead of "burnproof" on cdrecord

20.03.02:
	* put write-modes into an option menu instead of using radio-buttons 
	* reduced border sizes of the menus to get much more screen space

19.03.02:
	* initial design of CD-Text support

17.03.02:
	* pushed max write speed to 64x
	* finish non-root-mode configurator

16.03.02:
	* enable "activate non-root-mode" button

15.03.02:
	* design of new non-root-configuration menu

14.03.02:
	* change boot.catalog default value to relative path
	* add norwegian translation (no help files yet)
	* updated hungarian, galecian, italian and japanse translation
	* add new text-string-ids to avoid confusion with translation of
	  the users-pane in setup

13.03.02:
	* add 34min CD-R to list

12.03.02:
	* replace Imlib completely by the gdkpixbuf library
	* don't use -? as option for xcdrwrap
	* make the group "cdwrite" configureable in xcdroast.h
	  and change to "xcdwrite" because some folks complained

02.12.01:
	* changed 512 byte sector patch to accept dynamic
	  sector sizes

30.11.01:
	* support reload disk when blanking CD-RW

29.11.01:
	* experimental 512 byte sector size support for Solaris

26.11.01:
	* updated italian translation

25.11.01:
	* merged AIX sound patches from Martin Gansser
	* updated swedish, polish and czech translation

21.11.01:
	* included full audio support for Mac OS X
	* fix potential crash in xcdrwrap

18.11.01:
	* rewrote language.c to use own string handling instead
	  of calling malloc 30000 times
	* created Makefile for Mac OS X
	* new scsi-device scanner for Mac OS X

18.07.01:
	* RELEASED X-CD-Roast 0.98alpha9

17.07.01:
	* update the writeable flag in HD setup 
	* final touches to non-root wrapper

16.07.01:
	* add CDRTOOLS_PREFIX in Makefile for more flexible 
	  installation
	* show image-list in verify tracks menu even when no CD is
	  loaded
	* check if image directories are writeable 

15.07.01:
	* set permissions of /etc/xcdroast.conf to 644 after first
	  start when old version found
	* remove -r commandline option for security reasons
	* make wrapper checking allowed users and hosts
	* make process windows wider to avoid cut-off labels
	* make "minimaly blank" mode default
	* allow verifying of self-mastered or external iso tracks

14.07.01:
	* first version of non-root wrapper useable
	* set correct filemodes on saved text-outputs
	* create the configuration directory at startup
	* fix bug in non-root-mode when you can cancel out of setup
	  without setting image directories
	* check for common "cannot open new session" errors in
	  cdrecord output and advise user to switch to TAO
	* handle dos format textfile format

13.07.01:
	* first tests with the non-root wrapper
	* add -n switch to commandline help

12.07.01:
	* dont set tooltip color manually - it screws up 
	  multibyte fonts

11.07.01:
	* added japanese translation

10.07.01:
	* added option in setup to save a default write mode setting

08.07.01:
	* added galician translation
	* added new dialog in master-menu which does the 
	  redirection stuff when adding directories automatically

28.06.01:
	* fix problem when copying an unpadded CD-R. 
	  (last sectors got lost)

27.06.01:
	* manual scanbus override should work now. I am interested
	  in feedback.

26.06.01:
	* new commandline option to give a list of devices, instead
	  of using -scanbus. Very useful on AIX and OpenBSD systems.

24.06.01:
	* dont expand ~/ in logfile setting (broke in non-root-mode)
	* add startup-message in logfile
	* workaround for crash caused by eazel-gtk-theme (mandrake 8.0)	
	* fix a lot of cursor leaks 
	* fix crash when writing a toc file on solaris
	* use sectors on mkisofs tsize option

23.06.01:
	* integrate joliet charsets into the master-menu
 	  (Also thanks to Georgy Salnikov for the idea)
	* dont crash on unknown group-ids	

22.06.01:
	* query joliet charsets from mkisofs

21.06.01:
	* reworked verifying code. 
	  (Thanks to Georgy Salnikov <sge@nmr.nioch.nsc.ru>)
	* verifying of padded CDs works now fine.

20.06.01:
	* make cdrtools-1.10 default

19.06.01:
	* had other stuff to do. Got back to work at X-CD-Roast

	* update translations for brasilian portuguese, estonian,
	  slovak and french
	* added translations for finnish, bulgarian and czech.
	* allow image-directories with space in their name
	* sort the image-list display alphabetically
	* merged AIX and HP-UX audio patches from
	  Stefan Benke <benke@iam.rwth-aachen.de>
	* fixed possible crash when a CD-Extra is inserted
	* corrected tons of typos in the documentation

25.12.00:
	* fix wav-file detection code
	  (Thanks to Mark Bratcher <mbratch@coollink.net>)

01.12.00:
	* fix some compiler warnings

29.11.00:
	* fix cdrecord scanbus parser crash on HP-UX

26.11.00:
	* RELEASED X-CD-Roast 0.98alpha8

25.11.00:
	* update translations for swedish and hungarian
	* make X-CD-Roast print much more precise error messages
	  concerning permissions of the helper binaries
	* print command line of cdrecord into process output window
	  (helping to get more useful debug-output)
	* report when cdda2wav got no permission to write a track on HD.

18.11.00:
	* fix crash when using -o switch (alternative font code)

11.11.00:
	* fix makefile not to put x-bit on images/languages/sound

08.11.00:
	* fix display of index-scanner when reading audio

06.11.00:
	* fix rare crash of wav-player

04.11.00:
	* RELEASED X-CD-Roast 0.98alpha7

	* rewrite delete-tracks not to crash when a lot of files 
	  were selected

03.11.00:
	* fix permissions of /etc/xcdroast.conf

29.10.00:
	* add bash2 detection and special handling for non-root-mode
	* fix bug when sidebar got wrong width at startup

27.10.00:
	* add tooltips for non-root setup menu
	* add switch to disable version check at startup

25.10.00:
	* load and save root-config file

23.10.00:
	* set correct group-permissions for non-root-mode

21.10.00:
	* split xcdrdata.h from xcdroast.h

20.10.00:
	* finished first draft of non-root-mode setup menu

16.10.00:
	* start design of non-root-mode setup menu

15.10.00:
	* make X-CD-Roast look for the cdrecord-tools first in its
	  private lib-directory and then in $PREFIX/bin 
	  (e.g. /usr/bin/cdrecord)
	* detect read-errors when reading data tracks.
	* add update-buttons in Read-CD and Verify-CD menus

08.10.00:
	* make extended view in status-windows enabled by default
	* rewrite scsibus-parser to make it more robust
	* change check of medium in drive, should now work better
	  on some platforms

04.09.00:
	* merge indonesian translation

03.09.00:
	* fix crash when starting X-CD-Roast with changed hardware

23.08.00:
	* make some changes to use cdrtools-1.9

17.08.00:
	* merge translation updates for: french, swedish, slovak,
	  brasilian portuguese and hungarian
	* fix misaligned disclaimer window
	* show startup errors about root-permission and failed scsibus
	  in dialog windows and not on stderr.
	* change disclaimer text

16.07.00:
	* change version scanning of cdda2wav from --help to -h

15.07.00:
	* check for df and uname in both /bin and /usr/bin
	* enable sound support for FreeBSD

09.07.00:
	* RELEASED X-CD-Roast 0.98alpha6

	* enable burnproof if available
	* display full filename of images in "write tracks"

08.07.00:
	* create toc-file in selected path, instead in the first defined
	* merged slovak translation and updated dansk
	* allow verifying tracks without inf-files 
	  (e.g. for downloaded iso-images)
	* add support for 89 min CDs
	* fixed CD-display in read/verify-tracks after been in the master-menu
	* allow xcdroast start without any found devices (-i option)
	  (this way you cannot burn, but create images with mkisofs)
	* add burnproof-logo to start screen

05.07.00:
	* cursor-patch to fix segfaults on AXP-machines. Thx to
	  Christian R Molls <CMolls@gmx.net>

12.06.00:
	* add color-pixmap-icon for window-manager when iconified

06.06.00:
	* fix free-size-bug when mastering (factor 2 wrong)
	* fix write-progressbar when padding is enabled

05.06.00:
	* make "accept tracklayout" button more visible
	* fix master-size calculation (displayed wrong block-size)

04.06.00:
	* version-check of all helper-bins
	* new setup-option for extended selection in lists

30.05.00:
	* new option -o to enable the old font-code. Which fixes special
	  chars on older distributions

29.05.00:
	* display end of toc-filename when too long
	* make cdrecord scsibus-parser more flexible
	* wavplay opens now the audio-device nonblocking
	* update some tooltips 
	* don't crash on invalid toc or inf files
	* add new option to cddbtool to make it useable for scripts
	  (-m = preselect match and dont wait for user input)

28.05.00:
	* merged hpux-audio-patches by Stefan Benke <benke@iam.rwth-aachen.de>
	* merged a lot of language updates I got in the last weeks.

21.03.00:
	* fix crash when SCSI-revision field is empty

20.03.00:
	* RELEASED X-CD-Roast 0.98alpha5

19.03.00:
	* add master on-the-fly functionality
	* fix cddbtool when track title was split over several lines
	* change slider values for read options in setup

16.03.00:
	* add create master image functionality

15.03.00:
	* layouted mkisofs process window

13.03.00:
	* add "system default" option to language-menu. Should be used
	  to be sure your locale setting is correctly used.

12.03.00:
	* finished with tooltips for master menu.
	* track allocation code for master menu.
	* session-size calculation

09.03.00:
	* included enhanced lang_extract.sh to make translations even
	  simpler.
	* did some more tooltips for master menu.

08.03.00:
	* merged in turkish language

07.03.00:
	* added multibyte support patches by C.W.Huang

05.03.00:
	* started work on tooltips for master menu

01.03.00:
	* merged in catalan language

24.02.00 - 01.03.00:
	* CeBIT 2000 in Hannover/Germany
	* been there with a special prepared X-CD-Roast demo.

19.02.00:
	* fix some more possible core dump locations.
	* coded mkisofs commandline generator.

18.02.00:
	* fix possible core dump when writing toc-files.

17.02.00:
	* rework configuration file parser
	* workaround for the problem that cdda2wav outputs text on
	  stdout instead of stderr.

16.02.00:
	* coded iso-headers menu

15.02.00:
	* coded boot-option menu

14.02.00:
	* allow configuration of absolute paths for cdrecord and friends.
	  (in xcdroast.h)

13.02.00:
	* iso-option menu completed

11.02.00:
	* starting coding the iso-option menu

09.02.00:
	* prototype for session-view done

08.02.00: 
	* merged in reworked italian translation

07.02.00:
	* again hacking the directory browser

06.02.00:
	* check screenresolution also when 100dpi fonts are used.
	* enhance directory browser - allows now to switch from file
	  to directory view. 

05.02.00:
	* add first version of directory browser to master menu.

04.02.00:
	* merged in brasilian portuguese

03.02.00:
	* fixed some problems with unsigned variables (getopt working now
	  also on IRIX).

01.02.00:
	* set MAXLANG to 20

30.01.00:
	* layout boot-option menu

29.01.00:
	* layout iso-header menu

28.01.00:
	* merge in spanish translation
	* merge in update for italian

25.01.00:
	* merge in croatian translation
	* layout iso-option menu

23.01.00:
	* added gtk_set_locale();
	* merge in update for estonian

22.01.00:
	* RELEASED X-CD-Roast 0.98alpha4

	* set write-speed when blanking CD-RW.
	* rewrite TRANSLATION.HOWTO
	* fix some stuff in language.c
	* re-enable disclaimer-screen (forgot for alpha3)

21.01.00:
	* merge in updated languages for french and swedish.
	* include lang_extract.sh to make translations easier.
	* sequence check language-files at startup.
	* all helper-tools print now version number. 

18.01.00:
	* automatic resize of sidebar when resizing main-window.
	* rework language.c (thx to Argo Vessmann)
	* autodetect font size at startup and resize windows for best fit.
	* don't coredump when failing to load icons/images.

17.01.00:
	* fix coredump when user clicked on buttons
	  while reloading/ejecting a CD.
	* display usage when cddbtool called without arguments.

16.01.00:
	* RELEASED X-CD-Roast 0.98alpha3
	
	* Recode "Read CD" to use bulk-mode of cdda2wav. 
	* Add index scanning to "Read CD".
	* Use imlib-config in makefile.

15.01.00:
	* Ensure that the progressbars reach 100% after reading/verifying.
	* Display CD-Text even when no artist is defined.
	* Strip carriage return from debug output.
	* Implement index scanning in "Read Tracks".

14.01.00:
	* Included estonian translation by Argo Vessmann.

13.01.00:
	* Tooltips for alpha3 finished.

11.01.00:
	* Start to catch up on tooltip help.

09.01.00:
	* Done track reorder code for "Write Tracks".
	* Add "Fixate only" button.
	* Finish "Write-Track" (No on-the-fly support yet)

08.01.00:
	* Deep into "Write Tracks".

07.01.00:
	* Layouted "Write Tracks".
	* Add support for future 99min CD-Rs.

06.01.00:
	* Included danish translation by Lars Juul.
	* Finished "Verify Tracks."
	* Fixed a lot of callback-function to use GINT_TO_POINTER-macros.

03.01.00:
	* Further hacking on "Verify Tracks".

02.01.00:
	* Finished "Read Tracks".
	* Start on "Verify Tracks."

31.12.99:
	* List code for "Read Tracks" done.

28.12.99:
	* Layouted "Verify Tracks" menu.

27.12.99:
	* Included spanish translation by Jose Luis Benitez Crespo.
	* Included french translation by Ferdinand de Broich.
	* Add "index-scan" button in "Read CD" menu.
	* Allow to start read tracks, even when running out of diskspace.
	* Layouted "Read Tracks" menu.

19.12.99:
	* Included swedish translation by Richard Torkar.
	* Implemented skeleton of "Create CD" menu.

18.12.99:
	* add FAQ about sector sizes.
	* fix display of TOC-filenames when they are getting to long.

12.12.99:
	* RELEASED X-CD-Roast 0.98alpha2

	* Included dutch translation by Edwin Hakkennes.
	* Add eject/reset writer option in write-menu. 
	  (Useful when you abort writing/simulation and the writer is 
	   locked)

11.12.99:
	* Change order of buttons in delete-track menu.
	* Add TRANSLATION.HOWTO file.
	* Update image-dir display also after aborted/error read.
	* Check CD in drive before starting to read.
	* Set watch-cursor when changing image-directories.
	* Move "Eject CD" button in CD/image info-screen next to the
	  device selector. Also add an "Load CD" button. 
	* Fix core dump when trying to play empty wav file.

09.12.99:
	* Fix null-pointer-reference when looking up $HOME
	* Fix CD-size calculation bug (reported a few secs to less)

07.12.99:
	* Check if /bin/uname and /bin/df exist before starting.

05.12.99:
	* Look for cdrtools-backend programs in $(PREFIX)/xcdroast-0.98/lib/bin
	  instead of /usr/local/bin. 
	* Don't create a /usr/local/share/xcdroast-0.98 - use
	  /usr/local/lib/xcdroast-0.98 (a share-dir must not contain binaries)
	* Set the eject button in blank-menu default on.
	* Change the Makefile to force the user to read the README
	* New version a33 of cdrecord fixes the write-abort-problem.
	  (Hanging cdrecord which must be killed manually)
	* Started to write a FAQ.

04.12.99:
	* Reduce window-size by 10 pixels to 790x540. Now it should fit nicely
	  on the screen even with window-manager-decorations and a 800x600
	  resolution.
	* Do check if screen-resolution is at least 800x600 - otherwise
	  X-CD-Roast will not start.

28.11.99:
	* Change makefile to "cp" helper binaries instead of "mv" them.
	* Check if cue-sheet send failed and tell user to use TAO-mode
	  in this case.

27.11.99:
	* Fix warnings about sharedir at program start.

26.11.99:
	* Fix several null-pointer references which caused a core on 
	  Solaris. 
	* Create ~/.xcdroast directory if not existing.
	* Set cdda2wav to really create wav-files (not .au on Solaris)
	* Also check LC_MESSAGES about language-code to use.
	* Allow dsp-test only when a dsp-device is set.
	* Preselect an exact CDDB-hit (saves one mouse-click)

25.11.99:
	* Fix makefile for Solaris. 
	* Fix getopt-includes for Solaris.
	* Fix set-read-speed for reading audio-tracks.

24.11.99:
	* RELEASED X-CD-Roast 0.98alpha1

